+ Post New Thread
Page 3 of 496 FirstFirst 1 2 3 4 5 13 53 103 ... LastLast
Threads 51 to 75 of 12400

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 29,985
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 45,719
    18th Sep 2006 10:46 pm Go to last post
  1. Uptime

    Greetings friends .... I can include you as a lisp routine that run only a certain time ..... thanks for the help and your time ......:roll:

    Started by rubio_jose‎, 12th Nov 2014 04:40 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 517
    14th Nov 2014 12:51 am Go to last post
  2. Customized Autolisp Code

    Good day ladies and Gents, I would like to start off by saying hello to everyone and that I just signed up yesterday. This is going to be my very first thread so I apologized before hand if the...

    Started by DurtyTalynt‎, 31st Oct 2014 05:40 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 770
    13th Nov 2014 10:21 pm Go to last post
  3. The Best Text Find And Replace LISP Ever...

    ... is not this one. But, I am fairly pleased with it. It's been quite some time in the making, and I used a different strategy with my code (folks who remember BASIC might crack a smile). I'd...

    Started by Freerefill‎, 7th May 2009 05:19 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 21,967
    13th Nov 2014 04:56 pm Go to last post
  4. Idea Help with TEXT OFFSET Lisp routine. Thanks

    I am so close to getting this code to perform but need some final touches and manipulaton.. Currently it offsets all text on a specific layer and copy's and moves it up "0.15" which is what we...

    Started by tmelancon‎, 12th Nov 2014 04:56 pm
    copy, lisp, offset, text
    • Replies: 6
    • Views: 255
    13th Nov 2014 04:05 pm Go to last post
  5. Program to Compute thickness automatically using AutoLISP

    Hello sir, I am soham, doing M.Tech in manufacturing Engineering. I am working on a dissertation naming Automatic feature recognition of sheet metal part. For that I am doing coding using...

    Started by soham‎, 7th Nov 2014 11:33 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 330
    13th Nov 2014 06:06 am Go to last post
  6. Smile Running vim (or your favourite editor) to edit lisp files

    A simple lisp to run vim for editing lsp files: (defun olsp(fname) (startapp "C:\\Program Files (x86)\\Vim\\vim73\\gvim.exe" (strcat "\"" (findfile fname) "\""))) (princ) ) Usage: (olsp...

    Started by pefi‎, 12th Nov 2014 04:27 pm
    • Replies: 1
    • Views: 167
    12th Nov 2014 04:51 pm Go to last post
  7. Creating a dimension using autolisp

    Hi i want to draw a polyline , and as i hit enter or "C" i want autolisp to create dimention for every polyline segment. this code acting weird on me, it seems like the interpreter skips the...

    Started by samifox‎, 30th Nov 2013 05:34 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,218
    12th Nov 2014 12:03 pm Go to last post
  8. Need lisp to Align Blocks based on reference Block

    Dear, I need a lisp program to Align Blocks based on reference Block i.e first select block as reference and then select all blocks to be aligned so the result would be all blocks are parallel to...

    Started by fathihvac‎, 11th Nov 2014 05:17 pm
    • Replies: 1
    • Views: 214
    11th Nov 2014 06:19 pm Go to last post
  9. movemaptext??

    Could someone give me an example of how to properly use the "movemaptext"? For instance if i wanted to put in a variable for X and Y offset of a selection set of numbers.this is what I am trying to...

    Started by pipefitter72‎, 10th Nov 2014 02:15 pm
    • Replies: 6
    • Views: 273
    11th Nov 2014 01:49 pm Go to last post
  10. need help with As removed "(parentheses)" from the list

    ((0 0 0 Hz 2.5x20 0 0 0 0 Accesoriu 0) . 56) ((795 757 0 SP_PFL_2 0 0 0 0 101PE Alb Perlat 3) . 1) ((764 100 0 TRAV_2 1 0 0 0 101PE Alb Perlat 18) . 2) like this 0 0 0 Hz 2.5x20 0 0 0 0...

    Started by plecs‎, 8th Nov 2014 01:15 pm
    • Replies: 4
    • Views: 285
    11th Nov 2014 10:04 am Go to last post
  11. need help with count list if list mach

    Can someone help me with count list if they are the same I list that I need count list if they are the same Thanks in advance (("123" "0" "0" "Hz" "0" "0" "0" "0" "ac" "0") ("123" "0"...

    Started by plecs‎, 8th Nov 2014 02:18 am
    • Replies: 7
    • Views: 361
    11th Nov 2014 07:49 am Go to last post
  12. Change surface build settings via lisp

    Hi everybody, I am trying to access the tin surface build settings and more specifically the definition build options "Use maximum angle" and "Use maximum triangle length". When I list the...

    Started by 4o4osan‎, 4th Nov 2014 02:42 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 594
    10th Nov 2014 06:21 pm Go to last post
  13. Draw rectangle from centre line

    I have a drawing with lots of lines approx. 300mm long. Each of these lines is the centreline of a rectangle that is 20mm wide and the same length as the line. So my CAD exercise is to offset...

    Started by robertbon‎, 10th Nov 2014 02:41 pm
    • Replies: 5
    • Views: 539
    10th Nov 2014 05:49 pm Go to last post
  14. Need better multiline

    Hi all, I'm sure this is out there, if someone could point me in the right direction. We have acad 2002 and used to use 2000. In 2002 we have the mline command which is pretty simple. But in...

    Started by Vigilante‎, 29th Dec 2006 08:14 pm
    21 Pages
    1 2 3 ... 21
    • Replies: 202
    • Views: 69,830
    10th Nov 2014 03:47 pm Go to last post
  15. Unhappy I need a lisp to correct all damage text font in dwg file ??::

    In my dwg file there are a lot of text damage font such following pic :: I wanna a lisp to select each damage fonts and correct them to correct fonts///please send any idea

    Started by hosyn‎, 10th Nov 2014 01:36 am
    • Replies: 1
    • Views: 247
    10th Nov 2014 06:01 am Go to last post
  16. Centerline between two polylines

    A graphical approach to approximate a centerline between two polylines. To play :) p.s. Do not exaggerate with sharp curves. p.p.s. For AutoCAD 2011 or higher

    Started by GP_‎, 21st Dec 2013 07:06 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,748
    8th Nov 2014 06:54 pm Go to last post
  17. Apparent intersection between two objects

    Hello! It can get the apparently intersection points between two objects ?

    Started by Costinbos77‎, 9th Feb 2014 03:07 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,047
    8th Nov 2014 10:49 am Go to last post
  18. Laughing Guidance for database interface and inserting objects

    I am working with some database/programmers, but we don't quite know how to go about creating something really clever, but think it is possible. Any advice would help! We would like to be able...

    Started by tryingmybest‎, 8th Nov 2014 09:36 am
    database programming
    • Replies: 1
    • Views: 204
    8th Nov 2014 09:54 am Go to last post
  19. Need help with write-line

    I say 30 variables that I want to write the values ​​without quotation marks. * only a comma between values (setq ax1 (strcat "Euro" "," "EU7X50" "," euro)) (setq ax2 (strcat "Hol2.5x25" ","...

    Started by plecs‎, 17th Oct 2014 07:58 pm
    • Replies: 4
    • Views: 430
    8th Nov 2014 02:52 am Go to last post
  20. Need list to export "Block" atribute value to txt file

    can someone help me and me to change lisp routines below with something else to count same blocks and write text file on a line all the attributes of blocks thank you in advance (defun...

    Started by plecs‎, 6th Nov 2014 09:40 pm
    • Replies: 3
    • Views: 290
    8th Nov 2014 02:35 am Go to last post
  21. entmake solid ellipse

    I'm building an application for isometric dimensioning. I can entmake all the normal arrow heads without any problem. I also can entmake an ellipse. But when I tried to entmake a solid ellipse I got...

    Started by rlx‎, 6th Nov 2014 04:37 pm
    • Replies: 7
    • Views: 449
    7th Nov 2014 11:24 pm Go to last post
  22. rtos problem

    Hi guys, i'm working on a lisp, and i use rtos and then i reverse a string - a number -260, i use rtos to transform this number in a string - "260" , then i reverse this string - result "62" - but i...

    Started by HARRY-PLOTTER‎, 7th Nov 2014 06:21 am
    • Replies: 3
    • Views: 247
    7th Nov 2014 09:48 pm Go to last post
  23. Help needed for bypassing a LISP routine when a script file is running...

    Hello, I am needing help with the following code that is supposed to check the cmdactive variable and if a script is running, the routine is to be bypassed. And the code is: ;;s::startup...

    Started by Drafter_Joe‎, 7th Nov 2014 07:05 pm
    • Replies: 0
    • Views: 77
    7th Nov 2014 07:05 pm Go to last post
  24. Please help! , help me complete this program. many thanks!

    Please help! , help me complete this program. many thanks! (defun c:test() ;;Add to improve this program (princ) ) (defun make-dcl (/ lst_str str file f) (setq lst_str '( "temp:dialog...

    Started by DuanJinHui‎, 20th Oct 2014 01:55 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 683
    7th Nov 2014 05:20 pm Go to last post
  25. AutoCAD Quick DimAngular Whole-Circle-Angle

    hey guys ,my 1st attempt in vanilla It's just a quick whole-Circle dimension-Angular for line selection Example: select 2 lines of 120° acute, you can get the rest 240° which >180° (normal case...

    Started by hanhphuc‎, 8th Jun 2014 03:57 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 866
    7th Nov 2014 04:53 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts